%define momorel 1
%define svn_rev 2294

Name:           nforenum
Version:        3.4.7
Release:        0.%{svn_rev}.%{momorel}m%{?dist}
Summary:        NFORenum is a format correcter and linter for the NFO programming language.
Group:          Development/Tools
License:        GPLv2+
URL:            http://users.tt-forums.net/dalestan/nforenum/
# svn export -r%%{svn_rev} svn://svn.ttdpatch.net/misc/nforenum
# tar -czf nforenum-r%%{svn_rev}.tar.gz nforenum
Source0:        nforenum-r%{svn_rev}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
It takes as input any number of files that contain something that vaguely resembles valid NFO, 
and produces, to the best of its ability, encodable NFO files, one for each input file.
It also detects and warns about some common mistakes made in NFO coding. 
All errors that will cause TTDPatch to reject the GRF during the initialization or activation 
phases should be detected; if any are not, it is a bug and should be reported as such.
 Sprites that are too short, not of the correct type (real/pseudo/&c.), too long, 
 or otherwise not in agreement with their data or the preceeding sprites are all detected.

%prep
%setup -q -n %{name}

%build
%{__mv} Makefile Makefile.old
%{__sed} Makefile.old -e 's/^\(.*upx.*\)\$/#\1/g' > Makefile
V=1 make all

%install
%{__rm} -fr %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
# renum exists on other package. it is owned by dcraw.
%{__install} -m 755 renum %{buildroot}%{_bindir}/nforenum

%files
%attr(-,root,root)
%doc *.txt doc/*.txt
%{_bindir}/nforenum

%clean
%{__rm} -fr %{buildroot}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.7-0.2294.2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.4.7-0.2294.1m)
- update to revision 2294

* Wed Apr  7 2010 Hajime Yoshimori <lugia@momonga-linux.org>
- (3.4.6-0.2305.2m)
- Add %%clean

* Sun Feb 21 2010 Hajime Yoshimori <lugia@momonga-linux.org>
- (3.4.6-0.2305.1m)
- Initial Build for Momonga Linux
